## Contributing Guidelines

`tippecanoe-pypi` is an open source project. We welcome contributions via pull requests as well as questions, feature requests, or bug reports via issues. Please also refer to our [code of conduct](.github/CODE_OF_CONDUCT.md).

To contribute changes, first you should create a fork. This will create your copy of the `tippecanoe-pypi` repository and ensure you can push your changes up to GitHub and create PRs. `tippecanoe-pypi` uses GitHub Actions and pre-commit for continuous integration tests. Our tests are automatically run against every new PR, and passing all tests is a requirement for merging your PR.

* Create your branches off the `repo:main` branch.
* Clearly name your branches, commits, and PRs as this will help us manage queued work in a timely manner.
* Articulate your commit messages in the imperative (e.g., `Adds new privacy policy link to README`).
* Commit your work in logically organized commits, and group commits together logically in a PR.
* Title each PR clearly and give it an unambiguous description.
* Review existing issues before opening a new one. Your issue might already be under development or discussed by others. Feel free to add to any outstanding issue/bug.
* Be explicit when opening issues and reporting bugs. What behavior are you expecting? What is your justification or use case for the new feature/enhancement? How can the bug be recreated? What are any environment variables to consider?
